html {
  color: #003341;
  font-size: 14px;
  line-height: 24px;
}

::-moz-selection {
  background: rgba(122, 186, 204, .3);
  text-shadow: none;
}

::selection {
  background: rgba(122, 186, 204, .3);
  text-shadow: none;
}

*:-webkit-autofill { /* remove autofill background color */
  background-color: transparent !important;
  transition: background-color 5000s ease-in-out 0s !important;
}

hr {
  display: block;
  height: 1px;
  border: 0;
  border-top: 1px solid #ccc;
  margin: 1em 0;
  padding: 0;
}

audio,
canvas,
iframe,
img,
svg,
video {
  vertical-align: middle;
}

fieldset {
  border: 0;
  margin: 0;
  padding: 0;
}

textarea {
  resize: vertical;
}

* {
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  -webkit-tap-highlight-color: transparent;
}

*,
*:before,
*:after {
  box-sizing: border-box;
}

::-webkit-input-placeholder /* WebKit browsers */ {
  color: #003341;
  opacity: 1 !important;
}

:-moz-placeholder /* Mozilla Firefox 4 to 18 */ {
  color: #003341;
  opacity: 1 !important;
}

::-moz-placeholder /* Mozilla Firefox 19+ */ {
  color: #003341;
  opacity: 1 !important;
}

:-ms-input-placeholder /* Internet Explorer 10+ */ {
  color: #003341;
  opacity: 1 !important;
}

input:focus::-webkit-input-placeholder /* WebKit browsers */ {
  color: transparent;
}

input:focus:-moz-placeholder /* Mozilla Firefox 4 to 18 */ {
  color: transparent;
}

input:focus::-moz-placeholder /* Mozilla Firefox 19+ */ {
  color: transparent;
}

input:focus:-ms-input-placeholder /* Internet Explorer 10+ */ {
  color: transparent;
}

::backdrop {
  background: transparent;
}

*:fullscreen,
*:-webkit-full-screen,
*:-moz-full-screen,
*:-ms-full-screen {
  background-color: transparent;
}

/* ========================================================================== */

@font-face {
  font-family: Lato;
  src: url('../fonts/Lato/Lato-Regular.eot?#iefix');
  src: url('../fonts/Lato/Lato-Regular.eot?#iefix') format('eot'),
       url('../fonts/Lato/Lato-Regular.woff') format('woff'),
       url('../fonts/Lato/Lato-Regular.ttf') format('truetype'),
       url('../fonts/Lato/Lato-Regular.svg#Lato-Regular') format('svg');
}

@font-face {
  font-family: 'Lato Black';
  src: url('../fonts/Lato/Lato-Black.eot?#iefix');
  src: url('../fonts/Lato/Lato-Black.eot?#iefix') format('eot'),
       url('../fonts/Lato/Lato-Black.woff') format('woff'),
       url('../fonts/Lato/Lato-Black.ttf') format('truetype'),
       url('../fonts/Lato/Lato-Black.svg#Lato-Black') format('svg');
}

body,
div,
p,
span,
a,
td,
ul,
li,
input,
textarea,
select,
option,
button,
h1,
h2,
h3,
h4,
h5,
h6 {
  color: #003341;
  font-family: Lato, sans-serif;
  letter-spacing: 0;
}

.main {
  display: flex;
}

.centered-wrapper {
  width: 100%;
  max-width: 440px;
  min-height: 100vh;
  margin: auto;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.centered {
  width: 100%;
  border-radius: 5px 38px 38px 5px;
  background: #eceeed;
}

.right {
  padding: 0 45px 70px;
  transition: .3s;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
}

.loaded .right {
  transition: .3s;
}

.mm-logo-label {
  float: right;
  width: 72px;
  height: 117px;
  margin: 0 12px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.pink .mm-logo-label { background: #ee726e; }
.blue .mm-logo-label { background: #3d6980; }
.yellow .mm-logo-label { background: #eaaa32; }
.lightgreen .mm-logo-label { background: #91a79e; }

.mm-logo-label__logo {
  width: 44px;
}

.application-name {
  min-height: 42px;
  margin-top: 44px;
  font-size: 17px;
  line-height: 20px;
}

.title-container {
  position: relative;
  display: inline-block;
}

.loaded .title-container {
  transition: .3s;
}

.title {
  position: relative;
  margin-left: -6px;
  display: inline-block;
  font-family: 'Lato Black', sans-serif;
  font-size: 60px;
  line-height: 76px;
}

.loaded .title {
  transition: .3s;
}

@keyframes linewidth {
  from { width: 0; }
  to { width: 72px; }
}

.title--line::after {
  content: '';
  position: absolute;
  bottom: 0;
  right: 3px;
  height: 5px;
  animation-name: linewidth;
  animation-duration: .5s;
  animation-delay: .5s;
  animation-fill-mode: both;
}

.pink .title--line::after { background: #ee726e; }
.blue .title--line::after { background: #3d6980; }
.yellow .title--line::after { background: #eaaa32; }
.lightgreen .title--line::after { background: #91a79e; }

.pink .title--line.title--pink::after,
.blue .title--line.title--pink::after,
.yellow .title--line.title--pink::after,
.lightgreen .title--line.title--pink::after { background: #ee726e; }

.pink .title--line.title--blue::after,
.blue .title--line.title--blue::after,
.yellow .title--line.title--blue::after,
.lightgreen .title--line.title--blue::after { background: #3d6980; }

.pink .title--line.title--yellow::after,
.blue .title--line.title--yellow::after,
.yellow .title--line.title--yellow::after,
.lightgreen .title--line.title--yellow::after { background: #eaaa32; }

.pink .title--line.title--lightgreen::after,
.blue .title--line.title--lightgreen::after,
.yellow .title--line.title--lightgreen::after,
.lightgreen .title--line.title--pink::after { background: #91a79e; }

.form {
  position: relative;
  margin-top: 50px;
}

.form__row {
  position: relative;
}

.form__row--bottom {
  margin-top: 40px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
}

.form__label {
  position: absolute;
  top: 24px;
  left: 0;
  padding: 4px 0 2px;
  z-index: 1;
  cursor: text;
  font-size: 18px;
  line-height: 32px;
}

.loaded .form__label {
  transition: .3s;
}

.form__error {
  position: relative;
  top: -18px;
  height: 0;
  opacity: 0;
  color: #ec0000;
  font-size: 14px;
}

.loaded .form__error {
  transition: .3s;
}

.form__general-error {
  display: none;
  color: #ec0000;
  font-size: 14px;
}

.form__message {
  color: #3d6980;
  font-size: 14px;
}

.form__input {
  width: 100%;
  padding: 4px 0 6px;
  margin: 24px 0;
  outline: none;
  border: solid #b2c0c2;
  border-width: 0 0 1px;
  background: transparent;
  z-index: 2;
  font-size: 18px;
  line-height: 32px;
}

.form__input::-ms-clear,
.form__input::-ms-reveal {
  display: none;
}

.loaded .form__input {
  transition: .3s;
}

.form__password-toggle {
  position: absolute;
  bottom: 32px;
  height: 28px;
  display: block;
  cursor: pointer;
  line-height: 32px;
}

.form__row--error .form__password-toggle {
  bottom: 57px;
}

.form__password-toggle--hidden {
  right: 1px;
  width: 20px;
}

.form__password-toggle--visible {
  right: 0;
  width: 22px;
}

.form__password-toggle path {
  fill: #003341;
}

.form__button {
  width: 100%;
  max-width: 300px;
  height: 54px;
  border: 0;
  border-radius: 27px;
  outline: none;
  cursor: pointer;
  color: #fff;
  font-size: 18px;
}

.pink .form__button { background: #ee726e; }
.blue .form__button { background: #3d6980; }
.yellow .form__button { background: #eaaa32; }
.lightgreen .form__button { background: #91a79e; }

.pink .form__button--pink,
.blue .form__button--pink,
.yellow .form__button--pink,
.lightgreen .form__button--pink { background: #ee726e; }

.pink .form__button--blue,
.blue .form__button--blue,
.yellow .form__button--blue,
.lightgreen .form__button--blue { background: #3d6980; }

.pink .form__button--yellow,
.blue .form__button--yellow,
.yellow .form__button--yellow,
.lightgreen .form__button--yellow { background: #eaaa32; }

.pink .form__button--lightgreen,
.blue .form__button--lightgreen,
.yellow .form__button--lightgreen,
.lightgreen .form__button--lightgreen { background: #91a79e; }

.loaded .form__button {
  transition: .3s;
}

.form__button:hover,
.form__button:focus {
  background: #003341 !important;
}

.form__forgot-password {
  position: relative;
  margin-top: 20px;
  outline: none;
  display: inline-block;
  cursor: pointer;
  font-size: 14px;
  text-decoration: none !important;
}

.form__forgot-password::after {
  content: '';
  position: absolute;
  right: 0;
  bottom: -1px;
  width: 0;
  height: 2px;
  display: block;
  transition: .5s;
}

.pink .form__forgot-password::after { background: #ee726e; }
.blue .form__forgot-password::after { background: #3d6980; }
.yellow .form__forgot-password::after { background: #eaaa32; }
.lightgreen .form__forgot-password::after { background: #91a79e; }

.pink .form__forgot-password--pink::after,
.blue .form__forgot-password--pink::after,
.yellow .form__forgot-password--pink::after,
.lightgreen .form__forgot-password--pink::after { background: #ee726e; }

.pink .form__forgot-password--blue::after,
.blue .form__forgot-password--blue::after,
.yellow .form__forgot-password--blue::after,
.lightgreen .form__forgot-password--blue::after { background: #3d6980; }

.pink .form__forgot-password--yellow::after,
.blue .form__forgot-password--yellow::after,
.yellow .form__forgot-password--yellow::after,
.lightgreen .form__forgot-password--yellow::after { background: #eaaa32; }

.pink .form__forgot-password--lightgreen::after,
.blue .form__forgot-password--lightgreen::after,
.yellow .form__forgot-password--lightgreen::after,
.lightgreen .form__forgot-password--lightgreen::after { background: #91a79e; }

.form__forgot-password:hover::after,
.form__forgot-password:focus::after {
  width: 100%;
}

.form__row--active .form__label {
  top: 0;
  font-size: 12px;
}

.form__row--error .form__label {
  color: #ec0000;
}

.form__row--error .form__input {
  border-color: #ec0000;
}

.form__row--error .form__error {
  height: 12px;
  opacity: 1;
}

@media only screen and (max-width: 420px) {
  .title-container {
    width: 100%;
  }

  .form {
    margin-top: 40px;
  }
}

@media only screen and (max-width: 380px) {
  .right {
    padding: 0 30px 70px;
  }
}

@media only screen and (max-width: 340px) {
  .right {
    padding: 0 20px 70px;
  }
}

.spinner {
  display: inline-block;
  width: 20px;
  height: 20px;
}

.spinner::after {
  content: '';
  width: 100%;
  height: 100%;
  border-radius: 50%;
  border: 2px solid;
  border-color: #fff transparent #fff transparent;
  display: block;
  animation: spinner 1.2s linear infinite;
}

@keyframes spinner {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/* ========================================================================== */

.hidden {
  display: none !important;
}

.visuallyhidden {
  border: 0;
  clip: rect(0 0 0 0);
  height: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute;
  width: 1px;
}

.visuallyhidden.focusable:active,
.visuallyhidden.focusable:focus {
  clip: auto;
  height: auto;
  margin: 0;
  overflow: visible;
  position: static;
  width: auto;
}

.invisible {
  visibility: hidden;
}

.clearfix::before,
.clearfix::after {
  content: " ";
  display: table;
}

.clearfix::after {
  clear: both;
}

@media print {
  *,
  *::before,
  *::after,
  *::first-letter,
  p::first-line,
  div::first-line,
  blockquote::first-line,
  li::first-line {
    background: transparent !important;
    color: #000 !important;
    box-shadow: none !important;
    text-shadow: none !important;
  }

  a,
  a:visited {
    text-decoration: underline;
  }

  a[href]::after {
    content: " (" attr(href) ")";
  }

  abbr[title]::after {
    content: " (" attr(title) ")";
  }

  a[href^="#"]::after,
  a[href^="javascript:"]::after {
    content: "";
  }

  pre,
  blockquote {
    border: 1px solid #999;
    page-break-inside: avoid;
  }

  thead {
    display: table-header-group;
  }

  tr,
  img {
    page-break-inside: avoid;
  }

  img {
    max-width: 100% !important;
  }

  p,
  h2,
  h3 {
    orphans: 3;
    widows: 3;
  }

  h2,
  h3 {
    page-break-after: avoid;
  }
}